<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/inheritedhelicopters/vehicle_expansionmerlin.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d1b/a03227_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">vehicle_expansionmerlin.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d1b/a03227.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Vehicle_ExpansionMerlin.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment"> */</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @class       Vehicle_ExpansionMerlin</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> * @brief</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"> */</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dd3/a07854.html">Vehicle_ExpansionMerlin</a> : <a class="code hl_class" href="../../d9/d20/a08494.html">ExpansionVehicleHelicopterBase</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#ab70c65572ade0ef3bb5d6875308f71d4">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#ab70c65572ade0ef3bb5d6875308f71d4">Vehicle_ExpansionMerlin</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_dmgContactCoef = 0.02;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_ExplosionSize = 50;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_MaxSpeed = 200.0;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_AltitudeFullForce = 1000.0;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_AltitudeNoForce = 2000.0;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_EngineStartDuration = 20.0;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_MinAutoRotateSpeed = 2.0;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_MaxAutoRotateSpeed = 10.0;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_BodyFrictionCoef = 1.6;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_LiftForceCoef = 1.0;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_CyclicForceCoef = 1.5;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        m_CyclicSideSpeed = 2.0;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        m_CyclicSideMax = 0.5;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        m_CyclicSideCoef = 0.6;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_CyclicForwardSpeed = 10.0;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_CyclicForwardMax = 1.0;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_CyclicForwardCoef = 0.4;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        m_AntiTorqueSpeed = 1.8;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        m_AntiTorqueMax = 0.04;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        m_BankForceCoef = 0.2;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        m_TailForceCoef = 6.0;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#aad87f63cdde88f57f87bfa2cddb55cd4">   54</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a> <a class="code hl_function" href="../../d8/dd3/a07854.html#aad87f63cdde88f57f87bfa2cddb55cd4">CreateFrontLight</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateFrontLight&quot;</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a>.Cast(ScriptedLightBase.CreateLight(ExpansionHelicopterFrontLight));</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#ae781ed4ae27cfab3cbe1225e4ce02d63">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#ae781ed4ae27cfab3cbe1225e4ce02d63">GetAnimInstance</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimInstance&quot;</span>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a>.<a class="code hl_variable" href="../../db/d12/a07510.html#a8745366714f1e997c9516c1e6a15beb2">EXPANSION_MH6</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#ac856574a57338919389440716b69b6f0">   72</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#ac856574a57338919389440716b69b6f0">GetSeatAnimationType</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetSeatAnimationType&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a60aeb7ca98f9fbdc9252abb35526ebcc">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a60aeb7ca98f9fbdc9252abb35526ebcc">Get3rdPersonCameraType</a>()</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Get3rdPersonCameraType&quot;</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> DayZPlayerCameras.DAYZCAMERA_3RD_VEHICLE;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#aa3c06a674a7eeb3cbf0225e717c63e66">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#aa3c06a674a7eeb3cbf0225e717c63e66">CrewCanGetThrough</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CrewCanGetThrough&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a4a7374f9bccfd72ba78ef9923cddb726">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a4a7374f9bccfd72ba78ef9923cddb726">IsAreaAtDoorFree</a>(<span class="keywordtype">int</span> currentSeat, <span class="keywordtype">float</span> maxAllowedObjHeight = 0.5, <span class="keywordtype">float</span> horizontalExtents = 0.5, <span class="keywordtype">float</span> playerHeight = 1.7)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a80a675936def22637c7cbe3df71b31bd">CF_Trace_4</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsAreaAtDoorFree&quot;</span>).Add(currentSeat).Add(maxAllowedObjHeight).Add(horizontalExtents).Add(playerHeight);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a99a70b14dbc7618153ed6ee638f884d5">  120</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a99a70b14dbc7618153ed6ee638f884d5">IsVitalHelicopterBattery</a>()</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a3637c302d539dd6954e4fe7db32a5938">  129</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a3637c302d539dd6954e4fe7db32a5938">IsVitalTruckBattery</a>()</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalTruckBattery&quot;</span>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#ac03e21f8ed2bf7f3c88ff10cf69f57fb">  138</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#ac03e21f8ed2bf7f3c88ff10cf69f57fb">IsVitalCarBattery</a>()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a096150f67bb528ff02e67f6f561b8bc4">  147</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a096150f67bb528ff02e67f6f561b8bc4">IsVitalSparkPlug</a>()</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalSparkPlug&quot;</span>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a937076e01e7bc09d29baf579a7254bd2">  156</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a937076e01e7bc09d29baf579a7254bd2">IsVitalGlowPlug</a>()</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalGlowPlug&quot;</span>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a37ccc5ebb082e05a999f21399fb08550">  165</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a37ccc5ebb082e05a999f21399fb08550">IsVitalIgniterPlug</a>()</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalIgniterPlug&quot;</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a38b5f04381ff0536088b781fd1d3b77a">  174</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a38b5f04381ff0536088b781fd1d3b77a">IsVitalRadiator</a>()</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalRadiator&quot;</span>);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a6caa9b5f1e65d5599804ff6479ab8bd0">  183</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a6caa9b5f1e65d5599804ff6479ab8bd0">IsVitalEngineBelt</a>()</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalEngineBelt&quot;</span>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#adc92bcb6017d0755dd99d76e01ab8896">  192</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#adc92bcb6017d0755dd99d76e01ab8896">IsVitalHydraulicHoses</a>()</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHydraulicHoses&quot;</span>);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a3b15bc76a3a2bd2a25aa4eca8cb1e157">  201</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a3b15bc76a3a2bd2a25aa4eca8cb1e157">LeavingSeatDoesAttachment</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;LeavingSeatDoesAttachment&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a63559575b80fe267256e051852455fcc">  210</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a63559575b80fe267256e051852455fcc">GetActionDistanceFuel</a>()</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetActionDistanceFuel&quot;</span>);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">return</span> 2.5;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#ab6b8469103dba44a49ed250b77aec5d1">  219</a></span>    <span class="keyword">override</span> vector <a class="code hl_function" href="../../d8/dd3/a07854.html#ab6b8469103dba44a49ed250b77aec5d1">GetTransportCameraOffset</a>()</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetTransportCameraOffset&quot;</span>);</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0 1 0&quot;</span>;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a7b0dcfe0dc884387e29097d244fcca77">  228</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a7b0dcfe0dc884387e29097d244fcca77">GetTransportCameraDistance</a>()</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetTransportCameraDistance&quot;</span>);</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <span class="keywordflow">return</span> 25;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a39b6d3bd656e89d6f13c061c1450de83">  237</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a39b6d3bd656e89d6f13c061c1450de83">GetWreckAltitude</a>()</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetWreckAltitude&quot;</span>);</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">return</span> 1.5;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a46bc6f2c0a07cecfcc97c0feeeb0101b">  246</a></span>    <span class="keyword">override</span> vector <a class="code hl_function" href="../../d8/dd3/a07854.html#a46bc6f2c0a07cecfcc97c0feeeb0101b">GetWreckOffset</a>()</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetWreckOffset&quot;</span>);</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0 0 -2.5&quot;</span>;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a50c5159289789a22847d2a981144f760">  255</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a50c5159289789a22847d2a981144f760">GetAnimSourceFromSelection</a>(<span class="keywordtype">string</span> selection)</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimSourceFromSelection&quot;</span>).Add(selection);</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <span class="keywordflow">switch</span> (selection)</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        {</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;cargoramp&quot;</span>:</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;cargoramp&quot;</span>;</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;door_back_l&quot;</span>:</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;door_back_l&quot;</span>;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;door_back_r&quot;</span>:</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;door_back_r&quot;</span>;</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        }</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno"><a class="line" href="../../d8/dd3/a07854.html#a51b6a9048fbdfa1beba7eb8d3dab8b26">  274</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dd3/a07854.html#a51b6a9048fbdfa1beba7eb8d3dab8b26">UpdateLights</a>(<span class="keywordtype">int</span> new_gear = -1)</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        super.UpdateLights(new_gear);</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <span class="keywordflow">if</span> (!GetGame().IsMultiplayer() || GetGame().IsClient())</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        {</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> battery;</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/dd3/a07854.html#a99a70b14dbc7618153ed6ee638f884d5">IsVitalHelicopterBattery</a>())</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>                battery = <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a>.Cast(FindAttachmentBySlotName(<span class="stringliteral">&quot;ExpansionHelicopterBattery&quot;</span>));</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span> </div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            <span class="keywordflow">if</span> (battery)</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>            {</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                <span class="keywordtype">int</span> b;</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span> </div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>                vector color;</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                vector ambient;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>                <span class="keywordflow">if</span> (m_HeadlightsOn)</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>                {</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>                    <span class="keywordflow">if</span> (m_Lights.Count() == 0)</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>                    {</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>                        CreateLights(<span class="keyword">this</span>, <span class="stringliteral">&quot;interiorlight1&quot;</span>, <a class="code hl_class" href="../../dd/dbd/a05090.html">ExpansionPointLight</a>, Vector(1, 0.01, 0.01), Vector(1, 0.01, 0.01), 5, 0.85, <span class="keyword">false</span>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>                        CreateLights(<span class="keyword">this</span>, <span class="stringliteral">&quot;interiorlight2&quot;</span>, <a class="code hl_class" href="../../dd/dbd/a05090.html">ExpansionPointLight</a>, Vector(1, 0.01, 0.01), Vector(1, 0.01, 0.01), 5, 0.85, <span class="keyword">false</span>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                        CreateLights(<span class="keyword">this</span>, <span class="stringliteral">&quot;switch_lightsac&quot;</span>, <a class="code hl_class" href="../../dd/dbd/a05090.html">ExpansionPointLight</a>, Vector(0, 0.1, 1), Vector(1, 1, 1), 5, 0.5, <span class="keyword">false</span>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span> </div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                        <span class="comment">// CreateLights( this, &quot;interiorlight1&quot;, ExpansionPointLight, Vector(0.1, 0.1, 0.1), Vector(0.1, 0.1, 0.1), 2, 0.1, false, true );</span></div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>                        <span class="comment">// CreateLights( this, &quot;interiorlight2&quot;, ExpansionPointLight, Vector(0.1, 0.1, 0.1), Vector(0.1, 0.1, 0.1), 2, 0.1, false, true );</span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                        <span class="comment">// CreateParticle( this, &quot;bily pozicni&quot;, ParticleList.EXPANSION_LIGHT_WHITE );</span></div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>                        <span class="comment">// CreateParticle( this, &quot;zeleny pozicni&quot;, ParticleList.EXPANSION_LIGHT_YELLOW );</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>                        <span class="comment">// CreateParticle( this, &quot;cerveny pozicni&quot;, ParticleList.EXPANSION_LIGHT_RED );</span></div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                        <span class="comment">// CreateParticle( this, &quot;cerveny pozicni blik&quot;, ParticleList.EXPANSION_LIGHT_RED );</span></div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                    }</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                }</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                {</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>                    <span class="keywordflow">for</span> (b = 0; b &lt; m_Particles.Count(); b++)</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>                    {</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>                        m_Particles[b].Stop();</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span> </div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>                        GetGame().ObjectDelete(m_Particles[b]);</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>                    }</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span> </div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>                    <span class="keywordflow">for</span> (b = -0; b &lt; m_Lights.Count(); b++)</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>                    {</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>                        m_Lights[b].ExpansionSetEnabled(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span> </div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>                        GetGame().ObjectDelete(m_Lights[b]);</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>                    }</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span> </div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>                    m_Lights.Clear();</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>                }</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>            }</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>        }</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>    }</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>};</div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00722_html_a80a675936def22637c7cbe3df71b31bd"><div class="ttname"><a href="../../db/d7c/a00722.html#a80a675936def22637c7cbe3df71b31bd">CF_Trace_4</a></div><div class="ttdeci">static CF_Trace CF_Trace_4(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00093">cf_trace.c:93</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa05090_html"><div class="ttname"><a href="../../dd/dbd/a05090.html">ExpansionPointLight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d39/a01271_source.html#l00016">expansionblinklight.c:17</a></div></div>
<div class="ttc" id="aa07510_html"><div class="ttname"><a href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00016">expansionvehicleaniminstances.c:17</a></div></div>
<div class="ttc" id="aa07510_html_a8745366714f1e997c9516c1e6a15beb2"><div class="ttname"><a href="../../db/d12/a07510.html#a8745366714f1e997c9516c1e6a15beb2">ExpansionVehicleAnimInstances::EXPANSION_MH6</a></div><div class="ttdeci">static int EXPANSION_MH6</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00048">expansionvehicleaniminstances.c:48</a></div></div>
<div class="ttc" id="aa07854_html"><div class="ttname"><a href="../../d8/dd3/a07854.html">Vehicle_ExpansionMerlin</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00017">vehicle_expansionmerlin.c:18</a></div></div>
<div class="ttc" id="aa07854_html_a096150f67bb528ff02e67f6f561b8bc4"><div class="ttname"><a href="../../d8/dd3/a07854.html#a096150f67bb528ff02e67f6f561b8bc4">Vehicle_ExpansionMerlin::IsVitalSparkPlug</a></div><div class="ttdeci">override bool IsVitalSparkPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00147">vehicle_expansionmerlin.c:147</a></div></div>
<div class="ttc" id="aa07854_html_a3637c302d539dd6954e4fe7db32a5938"><div class="ttname"><a href="../../d8/dd3/a07854.html#a3637c302d539dd6954e4fe7db32a5938">Vehicle_ExpansionMerlin::IsVitalTruckBattery</a></div><div class="ttdeci">override bool IsVitalTruckBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00129">vehicle_expansionmerlin.c:129</a></div></div>
<div class="ttc" id="aa07854_html_a37ccc5ebb082e05a999f21399fb08550"><div class="ttname"><a href="../../d8/dd3/a07854.html#a37ccc5ebb082e05a999f21399fb08550">Vehicle_ExpansionMerlin::IsVitalIgniterPlug</a></div><div class="ttdeci">override bool IsVitalIgniterPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00165">vehicle_expansionmerlin.c:165</a></div></div>
<div class="ttc" id="aa07854_html_a38b5f04381ff0536088b781fd1d3b77a"><div class="ttname"><a href="../../d8/dd3/a07854.html#a38b5f04381ff0536088b781fd1d3b77a">Vehicle_ExpansionMerlin::IsVitalRadiator</a></div><div class="ttdeci">override bool IsVitalRadiator()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00174">vehicle_expansionmerlin.c:174</a></div></div>
<div class="ttc" id="aa07854_html_a39b6d3bd656e89d6f13c061c1450de83"><div class="ttname"><a href="../../d8/dd3/a07854.html#a39b6d3bd656e89d6f13c061c1450de83">Vehicle_ExpansionMerlin::GetWreckAltitude</a></div><div class="ttdeci">override float GetWreckAltitude()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00237">vehicle_expansionmerlin.c:237</a></div></div>
<div class="ttc" id="aa07854_html_a3b15bc76a3a2bd2a25aa4eca8cb1e157"><div class="ttname"><a href="../../d8/dd3/a07854.html#a3b15bc76a3a2bd2a25aa4eca8cb1e157">Vehicle_ExpansionMerlin::LeavingSeatDoesAttachment</a></div><div class="ttdeci">override bool LeavingSeatDoesAttachment(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00201">vehicle_expansionmerlin.c:201</a></div></div>
<div class="ttc" id="aa07854_html_a46bc6f2c0a07cecfcc97c0feeeb0101b"><div class="ttname"><a href="../../d8/dd3/a07854.html#a46bc6f2c0a07cecfcc97c0feeeb0101b">Vehicle_ExpansionMerlin::GetWreckOffset</a></div><div class="ttdeci">override vector GetWreckOffset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00246">vehicle_expansionmerlin.c:246</a></div></div>
<div class="ttc" id="aa07854_html_a4a7374f9bccfd72ba78ef9923cddb726"><div class="ttname"><a href="../../d8/dd3/a07854.html#a4a7374f9bccfd72ba78ef9923cddb726">Vehicle_ExpansionMerlin::IsAreaAtDoorFree</a></div><div class="ttdeci">override bool IsAreaAtDoorFree(int currentSeat, float maxAllowedObjHeight=0.5, float horizontalExtents=0.5, float playerHeight=1.7)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00111">vehicle_expansionmerlin.c:111</a></div></div>
<div class="ttc" id="aa07854_html_a50c5159289789a22847d2a981144f760"><div class="ttname"><a href="../../d8/dd3/a07854.html#a50c5159289789a22847d2a981144f760">Vehicle_ExpansionMerlin::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00255">vehicle_expansionmerlin.c:255</a></div></div>
<div class="ttc" id="aa07854_html_a51b6a9048fbdfa1beba7eb8d3dab8b26"><div class="ttname"><a href="../../d8/dd3/a07854.html#a51b6a9048fbdfa1beba7eb8d3dab8b26">Vehicle_ExpansionMerlin::UpdateLights</a></div><div class="ttdeci">override void UpdateLights(int new_gear=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00274">vehicle_expansionmerlin.c:274</a></div></div>
<div class="ttc" id="aa07854_html_a60aeb7ca98f9fbdc9252abb35526ebcc"><div class="ttname"><a href="../../d8/dd3/a07854.html#a60aeb7ca98f9fbdc9252abb35526ebcc">Vehicle_ExpansionMerlin::Get3rdPersonCameraType</a></div><div class="ttdeci">override int Get3rdPersonCameraType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00093">vehicle_expansionmerlin.c:93</a></div></div>
<div class="ttc" id="aa07854_html_a63559575b80fe267256e051852455fcc"><div class="ttname"><a href="../../d8/dd3/a07854.html#a63559575b80fe267256e051852455fcc">Vehicle_ExpansionMerlin::GetActionDistanceFuel</a></div><div class="ttdeci">override float GetActionDistanceFuel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00210">vehicle_expansionmerlin.c:210</a></div></div>
<div class="ttc" id="aa07854_html_a6caa9b5f1e65d5599804ff6479ab8bd0"><div class="ttname"><a href="../../d8/dd3/a07854.html#a6caa9b5f1e65d5599804ff6479ab8bd0">Vehicle_ExpansionMerlin::IsVitalEngineBelt</a></div><div class="ttdeci">override bool IsVitalEngineBelt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00183">vehicle_expansionmerlin.c:183</a></div></div>
<div class="ttc" id="aa07854_html_a7b0dcfe0dc884387e29097d244fcca77"><div class="ttname"><a href="../../d8/dd3/a07854.html#a7b0dcfe0dc884387e29097d244fcca77">Vehicle_ExpansionMerlin::GetTransportCameraDistance</a></div><div class="ttdeci">override float GetTransportCameraDistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00228">vehicle_expansionmerlin.c:228</a></div></div>
<div class="ttc" id="aa07854_html_a937076e01e7bc09d29baf579a7254bd2"><div class="ttname"><a href="../../d8/dd3/a07854.html#a937076e01e7bc09d29baf579a7254bd2">Vehicle_ExpansionMerlin::IsVitalGlowPlug</a></div><div class="ttdeci">override bool IsVitalGlowPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00156">vehicle_expansionmerlin.c:156</a></div></div>
<div class="ttc" id="aa07854_html_a99a70b14dbc7618153ed6ee638f884d5"><div class="ttname"><a href="../../d8/dd3/a07854.html#a99a70b14dbc7618153ed6ee638f884d5">Vehicle_ExpansionMerlin::IsVitalHelicopterBattery</a></div><div class="ttdeci">override bool IsVitalHelicopterBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00120">vehicle_expansionmerlin.c:120</a></div></div>
<div class="ttc" id="aa07854_html_aa3c06a674a7eeb3cbf0225e717c63e66"><div class="ttname"><a href="../../d8/dd3/a07854.html#aa3c06a674a7eeb3cbf0225e717c63e66">Vehicle_ExpansionMerlin::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00102">vehicle_expansionmerlin.c:102</a></div></div>
<div class="ttc" id="aa07854_html_aad87f63cdde88f57f87bfa2cddb55cd4"><div class="ttname"><a href="../../d8/dd3/a07854.html#aad87f63cdde88f57f87bfa2cddb55cd4">Vehicle_ExpansionMerlin::CreateFrontLight</a></div><div class="ttdeci">override CarLightBase CreateFrontLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00054">vehicle_expansionmerlin.c:54</a></div></div>
<div class="ttc" id="aa07854_html_ab6b8469103dba44a49ed250b77aec5d1"><div class="ttname"><a href="../../d8/dd3/a07854.html#ab6b8469103dba44a49ed250b77aec5d1">Vehicle_ExpansionMerlin::GetTransportCameraOffset</a></div><div class="ttdeci">override vector GetTransportCameraOffset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00219">vehicle_expansionmerlin.c:219</a></div></div>
<div class="ttc" id="aa07854_html_ab70c65572ade0ef3bb5d6875308f71d4"><div class="ttname"><a href="../../d8/dd3/a07854.html#ab70c65572ade0ef3bb5d6875308f71d4">Vehicle_ExpansionMerlin::Vehicle_ExpansionMerlin</a></div><div class="ttdeci">void Vehicle_ExpansionMerlin()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00019">vehicle_expansionmerlin.c:19</a></div></div>
<div class="ttc" id="aa07854_html_ac03e21f8ed2bf7f3c88ff10cf69f57fb"><div class="ttname"><a href="../../d8/dd3/a07854.html#ac03e21f8ed2bf7f3c88ff10cf69f57fb">Vehicle_ExpansionMerlin::IsVitalCarBattery</a></div><div class="ttdeci">override bool IsVitalCarBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00138">vehicle_expansionmerlin.c:138</a></div></div>
<div class="ttc" id="aa07854_html_ac856574a57338919389440716b69b6f0"><div class="ttname"><a href="../../d8/dd3/a07854.html#ac856574a57338919389440716b69b6f0">Vehicle_ExpansionMerlin::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00072">vehicle_expansionmerlin.c:72</a></div></div>
<div class="ttc" id="aa07854_html_adc92bcb6017d0755dd99d76e01ab8896"><div class="ttname"><a href="../../d8/dd3/a07854.html#adc92bcb6017d0755dd99d76e01ab8896">Vehicle_ExpansionMerlin::IsVitalHydraulicHoses</a></div><div class="ttdeci">override bool IsVitalHydraulicHoses()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00192">vehicle_expansionmerlin.c:192</a></div></div>
<div class="ttc" id="aa07854_html_ae781ed4ae27cfab3cbe1225e4ce02d63"><div class="ttname"><a href="../../d8/dd3/a07854.html#ae781ed4ae27cfab3cbe1225e4ce02d63">Vehicle_ExpansionMerlin::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1b/a03227_source.html#l00063">vehicle_expansionmerlin.c:63</a></div></div>
<div class="ttc" id="aa07870_html"><div class="ttname"><a href="../../d0/dd3/a07870.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d19/a03242_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa08494_html"><div class="ttname"><a href="../../d9/d20/a08494.html">ExpansionVehicleHelicopterBase</a></div><div class="ttdoc">This class handle helicopter movement and physics.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_ec5232f5f9d23354a80cae55118b3a25.html">inheritedhelicopters</a></li><li class="navelem"><a class="el" href="../../d3/d1b/a03227.html">vehicle_expansionmerlin.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
